<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/views/templates/default/template.xhtml">

    <ui:define name="content"> 
        <div class="ui-g">
            <div class="ui-g-12">
            	<h:form>
            		<p:panel header="unidades de medida" id="panelPrincipal">
            			<p:dataTable value="$(modelo.listado)" var="fila" rowKey="${fila.id}" selection="${modelo.seleccionado}" emptyMessage="sin resultados"
            			 selectionMode="single" paginator="true" rows="10" paginatorPosition="bottom" paginatorAlwaysVisible="false">
            		 <p:column headerText="Id" width="70" filterable="true" filterBy="{fila.id}" filterMatchMode="contains"
            		 	sortable="true" sortBy="${fila.id}">
            		 	${fila.id}
            		 </p:column>
            		 <p:column headerText="Nombre" width="150" filterable="true" filterBy="${fila.nombre}" filterMatchMode="contains"
            		 	sortable="true" sortBy="${fila.nombre}">
            		 	${fila.nombre}
            		 </p:column>
            		 <p:column headerText="Siglas" width="100" ilterable="true" filterBy="${fila.siglas}" filterMatchMode="contains"
            		 	sortable="true" sortBy="${fila.siglas}">
            		 	${fila.siglas}
            		 </p:column>
            	   </p:dataTable>
            	   <f:facet name="footer">
            	   		<p:commandButton value="Agregar" action="agregar" icon="ui-icon-add"/>
            	   	    <p:commandButton value="Editar" action="editar" icon="ui-icon-edit" disabled="${modelo.seleccionado==null}"/>
            	   		<p:commandButton value="Eliminar" action="eliminar" icon="ui-icon-delete" disabled="${modelo.seleccionado==null}"
            	   			update="${p:resolveFirstComponentWithId('panelPrincipal', view).clientId}">
            	   			<p:confirm header="eliminar unidad de medida" message="estas seguro de eliminar?"/>
            	   			</p:commanButton>
            	   	</f:facet>	
            	   
            	   </p:panel>
            	   	<p:confirmDialog global="true">
            	   		<p:commandButton value="si" icon="ui-icon-check" styleClass="ui-confirmdialog-yes"/>
            	   		<p:commandButton value="no" icon="ui-icon-close" styleClass="ui-confirmdialog-no"/>
            	   	</p:confirmDialog>
            	   
            		<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
            	</h:form>
            </div>
        </div>
    </ui:define>
</ui:composition>